package domain


type AlibabaWdkSkuAddSkuDo struct {
    /*
        条码，支持一品多码,多个条码以半角逗号分隔     */
    Barcodes  *string `json:"barcodes,omitempty" `

    /*
        品牌名称     */
    BrandName  *string `json:"brand_name,omitempty" `

    /*
        商家后台类目编码     */
    CategoryCode  *string `json:"category_code,omitempty" `

    /*
        门店或DC编码     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        高度（高）     */
    Height  *string `json:"height,omitempty" `

    /*
        库存单位     */
    InventoryUnit  *string `json:"inventory_unit,omitempty" `

    /*
        长度(深)     */
    Length  *string `json:"length,omitempty" `

    /*
        主图图片地址     */
    MainPicUrls  *string `json:"main_pic_urls,omitempty" `

    /*
        生产商地址     */
    ManufacturerAddress  *string `json:"manufacturer_address,omitempty" `

    /*
        生产商名称     */
    ManufacturerName  *string `json:"manufacturer_name,omitempty" `

    /*
        详情图片地址     */
    DetailPicUrls  *string `json:"detail_pic_urls,omitempty" `

    /*
        产地，商品生产地点的描述，用于APP和电子价签展示，如果是可售，则必填     */
    ProducerPlace  *string `json:"producer_place,omitempty" `

    /*
        保质期天数，商品的保质期（单位：天）,0表示没有保质期     */
    ShelfLife  *int64 `json:"shelf_life,omitempty" `

    /*
        商品唯一编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        名称，对商品直观的描述，通常包含了品牌、规格等信息     */
    SkuName  *string `json:"sku_name,omitempty" `

    /*
        类型 1:普通商品、2:加工半成品、3:加工成品、4:原材料、5:耗材； 如果是新增商家产品，字段含义是货品类型，1普通商品、2赠品、3包材、4耗材、5组合商品、6分销商品、7附属品、8虚拟商品、9其他、10直投广告、11原材料、13加工产成品     */
    SkuType  *int64 `json:"sku_type,omitempty" `

    /*
        产品标准号     */
    StandardNo  *string `json:"standard_no,omitempty" `

    /*
        存储条件类型 241=常温,242=冷藏,243=冷冻,635=热链,636=室温,637=鲜活     */
    StorageType  *int64 `json:"storage_type,omitempty" `

    /*
        建议零售价，单位:元     */
    SuggestedPrice  *string `json:"suggested_price,omitempty" `

    /*
        销项税率     */
    TaxRate  *string `json:"tax_rate,omitempty" `

    /*
        单品重量 单位为克/g，必须为整数     */
    Weight  *string `json:"weight,omitempty" `

    /*
        是否称重 标识商品是否是称重商品? 1：是0：否（默认为0）     */
    WeightFlag  *int64 `json:"weight_flag,omitempty" `

    /*
        宽度（宽）     */
    Width  *string `json:"width,omitempty" `

    /*
        平台后台类目编码     */
    HmCategoryCode  *string `json:"hm_category_code,omitempty" `

    /*
        商品短标题     */
    ShortTitle  *string `json:"short_title,omitempty" `

    /*
        文描     */
    TxtDesc  *string `json:"txt_desc,omitempty" `

    /*
        开票内容     */
    InvoiceContent  *string `json:"invoice_content,omitempty" `

    /*
        输入开票内容     */
    InputInvoiceContent  *string `json:"input_invoice_content,omitempty" `

    /*
        财务核算分类     */
    AccountingCategory  *string `json:"accounting_category,omitempty" `

    /*
        净含量     */
    NetContent  *string `json:"net_content,omitempty" `

    /*
        是否进口，是1，否0，默认非进口     */
    ImportFlag  *int64 `json:"import_flag,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        商品销售价格，单位:元     */
    SalePrice  *string `json:"sale_price,omitempty" `

    /*
        商品在机构内的生命周期，商品状态；A-正常、T-暂时停购、C-淘汰出清、R-清退、D-删除封挡     */
    LifeStatus  *string `json:"life_status,omitempty" `

    /*
        销售规格     */
    SaleSpec  *string `json:"sale_spec,omitempty" `

    /*
        均重（一个售卖单位平均为多少个库存单位，称重商品必填)，计算库存发布时会以库存数量/均重来进行转换；建议与库存单位保持一致。若库存单位是kg，售卖单位可以是g。此时均重、预扣款重量填0.001。APP最小起购量、APP购买步长填正整数。比如香蕉的库存单位是kg，销售单位是g，APP最小起购量、APP购买步长填500，表示在APP最少购买一斤，每加一档是加一斤。均重、预扣款重量填0.001的作用是，当用户购买500g，乘以0.001系数后=0.5kg，所以扣库存0.5kg     */
    AvgWeight  *string `json:"avg_weight,omitempty" `

    /*
        预扣款重量（购买一个售卖单位按照多少个库存单位来扣款），计算金额时，按照购买的售卖单位数量/预扣款重量*售价 来计算；非称重品填1。若库存单位是kg，销售单位是g，填0.001     */
    PreMinusWeight  *string `json:"pre_minus_weight,omitempty" `

    /*
        app购买时每增加一次购买数量至少要增加多少个售卖单位。非称重品填1。称重品根据实际货品情况填写。步长除了是加购物车的数量之外还承载了最小售卖数量的意义。 defalutValue:1    */
    StepQuantity  *int64 `json:"step_quantity,omitempty" `

    /*
        APP销售时，基于销售单位的起购量     */
    PurchaseQuantity  *int64 `json:"purchase_quantity,omitempty" `

    /*
        标价签类型     */
    SkuLabelType  *string `json:"sku_label_type,omitempty" `

    /*
        商品是否适合在app销售，机构商品层级为总控，此字段为总开关，控制所有门店的是否APP可见，商品本身不可售，则app可售必须关闭。App可售关闭，则门店商品维度的app可见不允许打开。1：是? 0：否，（默认否）     */
    AllowAppSale  *int64 `json:"allow_app_sale,omitempty" `

    /*
        商品卖点；商品副标题，显示在APP商品详情页的标题下方。如可口可乐商品的副标题可以是“夏日必备 解暑神器”。不超过80个字符。双方业务沟通一下，是否生鲜商品要定为必填     */
    SubTitle  *string `json:"sub_title,omitempty" `

    /*
        卖点1内容     */
    SubTitle1  *string `json:"sub_title1,omitempty" `

    /*
        卖点2内容     */
    SubTitle2  *string `json:"sub_title2,omitempty" `

    /*
        卖点1名称     */
    Title1  *string `json:"title1,omitempty" `

    /*
        卖点2名称     */
    Title2  *string `json:"title2,omitempty" `

    /*
        门店来控制本门店是否在app上让该商品可见，? 1可见? 0不可见     */
    OnlineSaleFlag  *int64 `json:"online_sale_flag,omitempty" `

    /*
        大仓向门店配货的单位；淘鲜达合作商家默认填与库存单位一致的值     */
    DeliveryUnit  *string `json:"delivery_unit,omitempty" `

    /*
        一个配货单位等于多少个库存单位；淘鲜达合作商家填默认值1     */
    DeliverySpec  *string `json:"delivery_spec,omitempty" `

    /*
        商品到本仓的来源；淘鲜达商家填默认值“直配”(1:统配，2:直配，3:越库，4：自产；5：调拨)， 基于采配链路的要求，加工品是不能够做直配的物流模式的，必须维护自产或者统配，目前包了一层逻辑“针对加工成品和加工半成品，如果是直配就转成自产”     */
    DeliveryWay  *string `json:"delivery_way,omitempty" `

    /*
        商品关联的物流中心，DC。配送物流；配送方式是直配，此项不填（输入物流中心编码）     */
    Logistics  *string `json:"logistics,omitempty" `

    /*
        配出仓,配货仓；配送方式是直配，此项不填(输入仓库编码)     */
    DeliveryWarehouse  *string `json:"delivery_warehouse,omitempty" `

    /*
        会员正常购买该商品的售价，2位小数，单位:元     */
    MemberPrice  *string `json:"member_price,omitempty" `

    /*
        商品作为原料时对应的单位；淘鲜达合作商家默认填与库存单位一致的值     */
    CostUnit  *string `json:"cost_unit,omitempty" `

    /*
        商品加工所消耗的直接原料成本，去税；加工商品必填，加工品按照原料的消耗估算出的成本。因为淘鲜达暂不涉及成本计算，建议淘鲜达商家填默认值1，单位:元     */
    CostNoPrice  *string `json:"cost_no_price,omitempty" `

    /*
        商品加工所消耗的直接原料成本，含税，加工商品必填，加工品按照原料的消耗估算出的成本。因为淘鲜达暂不涉及成本计算，建议淘鲜达商家填默认值1，单位:元     */
    CostTaxPrice  *string `json:"cost_tax_price,omitempty" `

    /*
        一个库存单位对应多少个成本单位，原料加工的成本单位和存储单位之间的换算。因为淘鲜达暂不涉及成本计算，建议淘鲜达商家填默认值1     */
    CostExchangeRate  *string `json:"cost_exchange_rate,omitempty" `

    /*
        商品中对于加工可用的比例占整个商品的百分比；从原料到加工可用的原料之间的转化率。为了简化BOM的使用，建议淘鲜达商家填默认值1。     */
    MassOutputRate  *string `json:"mass_output_rate,omitempty" `

    /*
        每一组加工生产的单位，加工商品必填，仅当商品为加工品的时候，才能填写。从计量单位表中选择；淘鲜达合作商家默认填与库存单位一致的值     */
    ProcessingUnit  *string `json:"processing_unit,omitempty" `

    /*
        一组加工单位对应多少个库存单位商品；加工商品必填，每一个加工单位对应的存储单位数量。为了简化BOM的使用，建议淘鲜达商家填默认值1。     */
    ProcsExchangeRate  *string `json:"procs_exchange_rate,omitempty" `

    /*
        存储条件；填常温、冷藏、冷冻、热链、鲜活     */
    Storage  *string `json:"storage,omitempty" `

    /*
        商品拣货时可以超拣的比例，针对非标品。建议淘鲜达商家填默认值0     */
    PickFloatRate  *string `json:"pick_float_rate,omitempty" `

    /*
        禁收时限；收货日期-商品生产日期<限收时限 才允许收货。建议淘鲜达商家填默认值为保质期天数。或按进口商品保质期天数的2/3、非进口商品的1/2填写     */
    ForbidReceiveDays  *int64 `json:"forbid_receive_days,omitempty" `

    /*
        商品生产日期+保质期-当前日期<禁售时限，不能出库销售。建议淘鲜达商家填默认值0。     */
    ForbidSalesDays  *int64 `json:"forbid_sales_days,omitempty" `

    /*
        商品收货时可以超过订货数量多少百分比进行收货；非标品供应商送货入库时，允许超收的比例。淘鲜达合作商家填默认值0     */
    OverloadRate  *string `json:"overload_rate,omitempty" `

    /*
        库存监控报表中，剩余天数少于该天数时需要预警，建议淘鲜达商家填默认值0     */
    WarnDays  *int64 `json:"warn_days,omitempty" `

    /*
        商品在门店是否在前场陈列；淘鲜达合作商家用不到， 0：否? 1：是     */
    FrontDisplayFlag  *int64 `json:"front_display_flag,omitempty" `

    /*
        商品是否是供应商为企业进行定制；淘鲜达合作商家填默认值0， 0 否? 1 是     */
    FixedFlag  *int64 `json:"fixed_flag,omitempty" `

    /*
        一个采购单位等于多少个库存单位，淘鲜达合作商家默认填1     */
    PurchaseSpec  *string `json:"purchase_spec,omitempty" `

    /*
        商品针对供应商订货时，对应的单位；淘鲜达合作商家默认填与库存单位一致的值     */
    PurchaseUnit  *string `json:"purchase_unit,omitempty" `

    /*
        标价签类型；商品在门店陈列时，采用的售价标签类型。因不采用电子价签，建议淘鲜达商家填默认值“无价签”     */
    LabelStyleType  *string `json:"label_style_type,omitempty" `

    /*
        文描,（同字段txt_desc）；优先使用本字段     */
    RichText  *string `json:"rich_text,omitempty" `

    /*
        平台类目编码（同字段hm_category_code），需要商家把自己的类目对应到平台的类目上，此字段暂时只能支持3、4级类目修改；优先使用本字段     */
    BackCatCode  *string `json:"back_cat_code,omitempty" `

    /*
        门店商品售价（同字段sale_price），单位:元；优先使用本字段     */
    SkuPrice  *string `json:"sku_price,omitempty" `

    /*
        商品的保质期天数（同字段shelf_life），必须为整数，0代表不管理保质期；优先使用本字段     */
    Period  *int64 `json:"period,omitempty" `

    /*
        商品类型（同字段sku_type）1:普通商品、2:加工半成品、3:加工成品、4:原材料、5:耗材；优先使用本字段     */
    ItemTypeNew  *int64 `json:"item_type_new,omitempty" `

    /*
        商家后台类目编码（同字段category_code），优先使用本字段     */
    MerchantCatCode  *string `json:"merchant_cat_code,omitempty" `

    /*
        在app上显示的商品图片cdn地址（同字段main_pic_urls和detail_pic_urls），https开头，多个图片用英文逗号切割。第一张图片会作为主图；优先使用本字段     */
    SkuPicUrls  *string `json:"sku_pic_urls,omitempty" `

    /*
        供货商信息     */
    SkuSuppliers  *[]AlibabaWdkSkuAddSkuSupplierDo `json:"sku_suppliers,omitempty" `

    /*
        行业属性     */
    IndustryProps  *AlibabaWdkSkuAddIndustryPropDo `json:"industry_props,omitempty" `

    /*
        forest类目id     */
    ForestCateId  *int64 `json:"forest_cate_id,omitempty" `

    /*
        税收编码     */
    TaxCode  *string `json:"tax_code,omitempty" `

    /*
        是否易碎品标记，0否1是     */
    FragileFlag  *int64 `json:"fragile_flag,omitempty" `

    /*
        配送条件；填常温、冷藏、冷冻     */
    DeliveryStorage  *string `json:"delivery_storage,omitempty" `

    /*
        淘宝旗舰店同品信息，同城零售使用     */
    FlagshipStoreItemInfo  *string `json:"flagship_store_item_info,omitempty" `

    /*
        是否现制现卖，0否1是；比如蛋糕只有下了单才能开始制作     */
    TemporaryFlag  *int64 `json:"temporary_flag,omitempty" `

    /*
        产品聚合码，程序会把聚合码相同的sku聚合到一起；比如衣服有大中小号3中sku，通过聚合码聚合到一起；该字段在同城零售发布场景才能使用     */
    ProductIdentity  *string `json:"product_identity,omitempty" `

    /*
        业务类型：txd淘鲜达，elm饿了么，shareStore共享库存，默认txd     */
    BizType  *string `json:"biz_type,omitempty" `

    /*
        渠道属性     */
    ChannelProps  *[]AlibabaWdkSkuAddChannelProp `json:"channel_props,omitempty" `

    /*
        1一品多码（只支持非称重品）     */
    SpecType  *string `json:"spec_type,omitempty" `

    /*
        与母商品的库存转换系数，例如10，则转换到母商品的库存为10*此商品的库存，可空，当新增一品多规格品的时候不能为空     */
    TransRatio  *string `json:"trans_ratio,omitempty" `

    /*
        母商品的sku_code可空，当新增一品多规格品的时候不能为空     */
    ParentSkuCode  *string `json:"parent_sku_code,omitempty" `

    /*
        是否线上的品 1:是  0:否     */
    IsOnline  *int64 `json:"is_online,omitempty" `

}

func (s *AlibabaWdkSkuAddSkuDo) SetBarcodes(v string) *AlibabaWdkSkuAddSkuDo {
    s.Barcodes = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetBrandName(v string) *AlibabaWdkSkuAddSkuDo {
    s.BrandName = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetCategoryCode(v string) *AlibabaWdkSkuAddSkuDo {
    s.CategoryCode = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetOuCode(v string) *AlibabaWdkSkuAddSkuDo {
    s.OuCode = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetHeight(v string) *AlibabaWdkSkuAddSkuDo {
    s.Height = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetInventoryUnit(v string) *AlibabaWdkSkuAddSkuDo {
    s.InventoryUnit = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetLength(v string) *AlibabaWdkSkuAddSkuDo {
    s.Length = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetMainPicUrls(v string) *AlibabaWdkSkuAddSkuDo {
    s.MainPicUrls = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetManufacturerAddress(v string) *AlibabaWdkSkuAddSkuDo {
    s.ManufacturerAddress = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetManufacturerName(v string) *AlibabaWdkSkuAddSkuDo {
    s.ManufacturerName = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetDetailPicUrls(v string) *AlibabaWdkSkuAddSkuDo {
    s.DetailPicUrls = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetProducerPlace(v string) *AlibabaWdkSkuAddSkuDo {
    s.ProducerPlace = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetShelfLife(v int64) *AlibabaWdkSkuAddSkuDo {
    s.ShelfLife = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSkuCode(v string) *AlibabaWdkSkuAddSkuDo {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSkuName(v string) *AlibabaWdkSkuAddSkuDo {
    s.SkuName = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSkuType(v int64) *AlibabaWdkSkuAddSkuDo {
    s.SkuType = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetStandardNo(v string) *AlibabaWdkSkuAddSkuDo {
    s.StandardNo = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetStorageType(v int64) *AlibabaWdkSkuAddSkuDo {
    s.StorageType = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSuggestedPrice(v string) *AlibabaWdkSkuAddSkuDo {
    s.SuggestedPrice = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetTaxRate(v string) *AlibabaWdkSkuAddSkuDo {
    s.TaxRate = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetWeight(v string) *AlibabaWdkSkuAddSkuDo {
    s.Weight = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetWeightFlag(v int64) *AlibabaWdkSkuAddSkuDo {
    s.WeightFlag = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetWidth(v string) *AlibabaWdkSkuAddSkuDo {
    s.Width = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetHmCategoryCode(v string) *AlibabaWdkSkuAddSkuDo {
    s.HmCategoryCode = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetShortTitle(v string) *AlibabaWdkSkuAddSkuDo {
    s.ShortTitle = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetTxtDesc(v string) *AlibabaWdkSkuAddSkuDo {
    s.TxtDesc = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetInvoiceContent(v string) *AlibabaWdkSkuAddSkuDo {
    s.InvoiceContent = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetInputInvoiceContent(v string) *AlibabaWdkSkuAddSkuDo {
    s.InputInvoiceContent = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetAccountingCategory(v string) *AlibabaWdkSkuAddSkuDo {
    s.AccountingCategory = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetNetContent(v string) *AlibabaWdkSkuAddSkuDo {
    s.NetContent = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetImportFlag(v int64) *AlibabaWdkSkuAddSkuDo {
    s.ImportFlag = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSaleUnit(v string) *AlibabaWdkSkuAddSkuDo {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSalePrice(v string) *AlibabaWdkSkuAddSkuDo {
    s.SalePrice = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetLifeStatus(v string) *AlibabaWdkSkuAddSkuDo {
    s.LifeStatus = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSaleSpec(v string) *AlibabaWdkSkuAddSkuDo {
    s.SaleSpec = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetAvgWeight(v string) *AlibabaWdkSkuAddSkuDo {
    s.AvgWeight = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetPreMinusWeight(v string) *AlibabaWdkSkuAddSkuDo {
    s.PreMinusWeight = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetStepQuantity(v int64) *AlibabaWdkSkuAddSkuDo {
    s.StepQuantity = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetPurchaseQuantity(v int64) *AlibabaWdkSkuAddSkuDo {
    s.PurchaseQuantity = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSkuLabelType(v string) *AlibabaWdkSkuAddSkuDo {
    s.SkuLabelType = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetAllowAppSale(v int64) *AlibabaWdkSkuAddSkuDo {
    s.AllowAppSale = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSubTitle(v string) *AlibabaWdkSkuAddSkuDo {
    s.SubTitle = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSubTitle1(v string) *AlibabaWdkSkuAddSkuDo {
    s.SubTitle1 = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSubTitle2(v string) *AlibabaWdkSkuAddSkuDo {
    s.SubTitle2 = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetTitle1(v string) *AlibabaWdkSkuAddSkuDo {
    s.Title1 = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetTitle2(v string) *AlibabaWdkSkuAddSkuDo {
    s.Title2 = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetOnlineSaleFlag(v int64) *AlibabaWdkSkuAddSkuDo {
    s.OnlineSaleFlag = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetDeliveryUnit(v string) *AlibabaWdkSkuAddSkuDo {
    s.DeliveryUnit = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetDeliverySpec(v string) *AlibabaWdkSkuAddSkuDo {
    s.DeliverySpec = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetDeliveryWay(v string) *AlibabaWdkSkuAddSkuDo {
    s.DeliveryWay = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetLogistics(v string) *AlibabaWdkSkuAddSkuDo {
    s.Logistics = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetDeliveryWarehouse(v string) *AlibabaWdkSkuAddSkuDo {
    s.DeliveryWarehouse = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetMemberPrice(v string) *AlibabaWdkSkuAddSkuDo {
    s.MemberPrice = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetCostUnit(v string) *AlibabaWdkSkuAddSkuDo {
    s.CostUnit = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetCostNoPrice(v string) *AlibabaWdkSkuAddSkuDo {
    s.CostNoPrice = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetCostTaxPrice(v string) *AlibabaWdkSkuAddSkuDo {
    s.CostTaxPrice = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetCostExchangeRate(v string) *AlibabaWdkSkuAddSkuDo {
    s.CostExchangeRate = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetMassOutputRate(v string) *AlibabaWdkSkuAddSkuDo {
    s.MassOutputRate = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetProcessingUnit(v string) *AlibabaWdkSkuAddSkuDo {
    s.ProcessingUnit = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetProcsExchangeRate(v string) *AlibabaWdkSkuAddSkuDo {
    s.ProcsExchangeRate = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetStorage(v string) *AlibabaWdkSkuAddSkuDo {
    s.Storage = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetPickFloatRate(v string) *AlibabaWdkSkuAddSkuDo {
    s.PickFloatRate = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetForbidReceiveDays(v int64) *AlibabaWdkSkuAddSkuDo {
    s.ForbidReceiveDays = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetForbidSalesDays(v int64) *AlibabaWdkSkuAddSkuDo {
    s.ForbidSalesDays = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetOverloadRate(v string) *AlibabaWdkSkuAddSkuDo {
    s.OverloadRate = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetWarnDays(v int64) *AlibabaWdkSkuAddSkuDo {
    s.WarnDays = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetFrontDisplayFlag(v int64) *AlibabaWdkSkuAddSkuDo {
    s.FrontDisplayFlag = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetFixedFlag(v int64) *AlibabaWdkSkuAddSkuDo {
    s.FixedFlag = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetPurchaseSpec(v string) *AlibabaWdkSkuAddSkuDo {
    s.PurchaseSpec = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetPurchaseUnit(v string) *AlibabaWdkSkuAddSkuDo {
    s.PurchaseUnit = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetLabelStyleType(v string) *AlibabaWdkSkuAddSkuDo {
    s.LabelStyleType = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetRichText(v string) *AlibabaWdkSkuAddSkuDo {
    s.RichText = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetBackCatCode(v string) *AlibabaWdkSkuAddSkuDo {
    s.BackCatCode = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSkuPrice(v string) *AlibabaWdkSkuAddSkuDo {
    s.SkuPrice = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetPeriod(v int64) *AlibabaWdkSkuAddSkuDo {
    s.Period = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetItemTypeNew(v int64) *AlibabaWdkSkuAddSkuDo {
    s.ItemTypeNew = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetMerchantCatCode(v string) *AlibabaWdkSkuAddSkuDo {
    s.MerchantCatCode = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSkuPicUrls(v string) *AlibabaWdkSkuAddSkuDo {
    s.SkuPicUrls = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSkuSuppliers(v []AlibabaWdkSkuAddSkuSupplierDo) *AlibabaWdkSkuAddSkuDo {
    s.SkuSuppliers = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetIndustryProps(v AlibabaWdkSkuAddIndustryPropDo) *AlibabaWdkSkuAddSkuDo {
    s.IndustryProps = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetForestCateId(v int64) *AlibabaWdkSkuAddSkuDo {
    s.ForestCateId = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetTaxCode(v string) *AlibabaWdkSkuAddSkuDo {
    s.TaxCode = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetFragileFlag(v int64) *AlibabaWdkSkuAddSkuDo {
    s.FragileFlag = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetDeliveryStorage(v string) *AlibabaWdkSkuAddSkuDo {
    s.DeliveryStorage = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetFlagshipStoreItemInfo(v string) *AlibabaWdkSkuAddSkuDo {
    s.FlagshipStoreItemInfo = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetTemporaryFlag(v int64) *AlibabaWdkSkuAddSkuDo {
    s.TemporaryFlag = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetProductIdentity(v string) *AlibabaWdkSkuAddSkuDo {
    s.ProductIdentity = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetBizType(v string) *AlibabaWdkSkuAddSkuDo {
    s.BizType = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetChannelProps(v []AlibabaWdkSkuAddChannelProp) *AlibabaWdkSkuAddSkuDo {
    s.ChannelProps = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetSpecType(v string) *AlibabaWdkSkuAddSkuDo {
    s.SpecType = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetTransRatio(v string) *AlibabaWdkSkuAddSkuDo {
    s.TransRatio = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetParentSkuCode(v string) *AlibabaWdkSkuAddSkuDo {
    s.ParentSkuCode = &v
    return s
}
func (s *AlibabaWdkSkuAddSkuDo) SetIsOnline(v int64) *AlibabaWdkSkuAddSkuDo {
    s.IsOnline = &v
    return s
}
